Safari 5.1.7 nixes outdated Flash versions, focuses on security-based issues

Posted by:
Date: Thursday, May 10th, 2012, 06:32
Category: News, security, Software

safarilogo.jpg

When in doubt, go with the update.

Per AppleInsider, Apple on Wednesday released an update to its Safari web browser that automatically disables old versions of Adobe’s Flash Player as they don’t have the most up-do-date security features.

After pushing out OS X Lion 10.7.4 which included Safari version 5.1.6, Apple rolled out a separate update for the browser that can be downloaded by Mac OS X 10.7.3, Mac OS X 10.7.4 and Windows users.

According to the Safari 5.1.7 support page, the update is meant to disable older versions of Flash that pose a security risk as they lack the latest vulnerability patches.

Safari 5.1.7 will scan a Mac’s Flash assets for out-of-date software, disable it if found and inform the user via a dialog box. A link to Adobe’s website is integrated into the dialog so that users can easily locate and install the most current Flash Player.

If users need to roll back to a previous version of Flash, they must navigate to the “/Library/Internet Plug-Ins (Disabled)” folder on their Mac, drag “Flash Player.plugin” into the active “/Library/Internet Plug-Ins” folder and restart the browser.

Apple has become increasingly leery about third-party applications, perhaps due to the recent Flashback malware debacle that affected more than 600,000 Macs worldwide. One of the trojan’s first iterations was discovered in 2011 when it disguised itself as a Flash Installer, though the exploit had nothing to do with Adobe’s software.

Most recently, Apple released a Java update to cope with Flashback and even created a dedicated removal tool for those Mac owners who didn’t already have Java installed on their computers.

The Safari update comes in at 44.98MB download and can be acquired via Mac OS X’s Software Update feature.

Stay tuned for additional details as they become available.

Recent Posts